#include "elastgmat3d.h"
#include "matrix.h"


elastgmat3d::elastgmat3d (void)
{
  
}
elastgmat3d::~elastgmat3d (void)
{

}

void elastgmat3d::read (FILE *in)
{
  fscanf (in,"%lf %lf %lf %lf %lf %lf",&d11,&d12,&d13,&d14,&d15,&d16);
  fscanf (in,"%lf %lf %lf %lf %lf",&d22,&d23,&d24,&d25,&d26);
  fscanf (in,"%lf %lf %lf %lf",&d33,&d34,&d35,&d36);
  fscanf (in,"%lf %lf %lf",&d44,&d45,&d46);
  fscanf (in,"%lf %lf",&d55,&d56);
  fscanf (in,"%lf",&d66);
}

void elastgmat3d::matstiff (matrix &d)
{
  d[0][0]=d11;  d[0][1]=d12;  d[0][2]=d13;  d[0][3]=d14;  d[0][4]=d15;  d[0][5]=d16;
  d[1][0]=d12;  d[1][1]=d22;  d[1][2]=d23;  d[1][3]=d24;  d[1][4]=d25;  d[1][5]=d26;
  d[2][0]=d13;  d[2][1]=d23;  d[2][2]=d33;  d[2][3]=d34;  d[2][4]=d35;  d[2][5]=d36;
  d[3][0]=d14;  d[3][1]=d24;  d[3][2]=d34;  d[3][3]=d44;  d[3][4]=d45;  d[3][5]=d46;
  d[4][0]=d15;  d[4][1]=d25;  d[4][2]=d35;  d[4][3]=d45;  d[4][4]=d55;  d[4][5]=d56;
  d[5][0]=d16;  d[5][1]=d26;  d[5][2]=d36;  d[5][3]=d46;  d[5][4]=d56;  d[5][5]=d66;
}
void elastgmat3d::elmatstiff (matrix &d)
{
  d[0][0]=d11;  d[0][1]=d12;  d[0][2]=d13;  d[0][3]=d14;  d[0][4]=d15;  d[0][5]=d16;
  d[1][0]=d12;  d[1][1]=d22;  d[1][2]=d23;  d[1][3]=d24;  d[1][4]=d25;  d[1][5]=d26;
  d[2][0]=d13;  d[2][1]=d23;  d[2][2]=d33;  d[2][3]=d34;  d[2][4]=d35;  d[2][5]=d36;
  d[3][0]=d14;  d[3][1]=d24;  d[3][2]=d34;  d[3][3]=d44;  d[3][4]=d45;  d[3][5]=d46;
  d[4][0]=d15;  d[4][1]=d25;  d[4][2]=d35;  d[4][3]=d45;  d[4][4]=d55;  d[4][5]=d56;
  d[5][0]=d16;  d[5][1]=d26;  d[5][2]=d36;  d[5][3]=d46;  d[5][4]=d56;  d[5][5]=d66;
}
