#ifndef NONLOCDAMG_H
#define NONLOCDAMG_H

#include "iotools.h"
#include "alias.h"

class nonlocdamg
{
  public :
   nonlocdamg(void);
   ~nonlocdamg(void);
   /// reads data from the file in
   long read(XFILE *in);
   /// allocates additional data structures at the integration point
   void allocation (long ipp);
   /// averages values in the given integration point
     void average (long ipp, long ido);

   /// taken radius for ipp environment
   double r;
   /// flag for the averaged variable
   avrgf af;

};
#endif
